
/******************************************************************************/                                  
/******************************************************************************/

/* LCD  panel SPI interface define */
sbit	SPI_RES = P3^6;	 //reset
sbit	SPI_DI = P1^5;	//data input		 
sbit	SPI_CLK = P1^7;   //clock
sbit	SPI_CS = P3^4;  //chip select

//RGB+9b_SPI(rise)
 void SPI_SendData(unsigned char i)
{  
   unsigned char n;
   
   for(n=0; n<8; n++)			
   {       
			SPI_CLK=0;
			_nop_(); _nop_();_nop_();_nop_();
			SPI_DI=i&0x80;
			_nop_(); _nop_();_nop_();_nop_();
			SPI_CLK=1;
			i<<=1;
			_nop_(); _nop_();_nop_();_nop_();
	  
   }
}
void SPI_WriteComm(unsigned char i)
{
    SPI_CS=0;
	  	_nop_(); _nop_();_nop_();_nop_();
    SPI_DI=0 ;
	  	_nop_(); _nop_();_nop_();_nop_(); 
	SPI_CLK=0;
		_nop_(); _nop_();_nop_();_nop_();
	SPI_CLK=1;
		_nop_(); _nop_();_nop_();_nop_();
	SPI_SendData(i);
		
    SPI_CS=1;
}



void SPI_WriteData(unsigned char i)
{ 
    SPI_CS=0;
	  	_nop_(); _nop_();_nop_();_nop_();
    SPI_DI=1 ;
	  	_nop_(); _nop_();_nop_();_nop_(); 
	SPI_CLK=0;
		_nop_(); _nop_();_nop_();_nop_();
	SPI_CLK=1;
		_nop_(); _nop_();_nop_();_nop_();
	SPI_SendData(i);
		
    SPI_CS=1;
} 




void GC9503_Initial(void)
{

	SPI_RES=1;
	delay_ms(10);
	SPI_RES=0;
	delay_ms(10);
	SPI_RES=1;
	delay_ms(100);  

 
  
 /*
	SPI_WriteComm(0xF0);SPI_WriteData(0x55);SPI_WriteData(0xAA);SPI_WriteData(0x52);SPI_WriteData(0x08);SPI_WriteData(0x00);
	SPI_WriteComm(0xF6);SPI_WriteData(0x5A);SPI_WriteData(0x87);
	SPI_WriteComm(0xC1);SPI_WriteData(0x3F);
	SPI_WriteComm(0xC2);SPI_WriteData(0x0E);
	SPI_WriteComm(0xC6);SPI_WriteData(0xF8);
	SPI_WriteComm(0xC9);SPI_WriteData(0x10);
	SPI_WriteComm(0xCD);SPI_WriteData(0x25);
	SPI_WriteComm(0x86);SPI_WriteData(0x99);SPI_WriteData(0xA3);SPI_WriteData(0xA3);SPI_WriteData(0x21);//41->21 20240426
	SPI_WriteComm(0xF8);SPI_WriteData(0x8A);
	SPI_WriteComm(0xAC);SPI_WriteData(0x45);
	SPI_WriteComm(0xA7);SPI_WriteData(0x47);
	SPI_WriteComm(0xA0);SPI_WriteData(0xAA);//CC->AA 20240426
	SPI_WriteComm(0x71);SPI_WriteData(0x48);
	SPI_WriteComm(0x72);SPI_WriteData(0x48);
	SPI_WriteComm(0x73);SPI_WriteData(0x00);SPI_WriteData(0x44);
	SPI_WriteComm(0x97);SPI_WriteData(0xEE);
	SPI_WriteComm(0x83);SPI_WriteData(0x93);
	SPI_WriteComm(0xA3);SPI_WriteData(0xEE);
	SPI_WriteComm(0xFD);SPI_WriteData(0x28);SPI_WriteData(0x3C);SPI_WriteData(0x00);
	SPI_WriteComm(0xFA);SPI_WriteData(0x08);SPI_WriteData(0x08);SPI_WriteData(0x00);SPI_WriteData(0x04);
	SPI_WriteComm(0x9A);SPI_WriteData(0x90);
	SPI_WriteComm(0x9B);SPI_WriteData(0x68);
	SPI_WriteComm(0x82);SPI_WriteData(0x46);SPI_WriteData(0x46);
	SPI_WriteComm(0xB1);SPI_WriteData(0x12);
 */
	SPI_WriteComm(0xF0);SPI_WriteData(0x55);SPI_WriteData(0xAA);SPI_WriteData(0x52);SPI_WriteData(0x08);SPI_WriteData(0x00);
	SPI_WriteComm(0xF6);SPI_WriteData(0x5A);SPI_WriteData(0x87);
	SPI_WriteComm(0xC1);SPI_WriteData(0x3F);
	SPI_WriteComm(0xCD);SPI_WriteData(0x25);
	SPI_WriteComm(0xC9);SPI_WriteData(0x10);
	SPI_WriteComm(0xF8);SPI_WriteData(0x8A);
	SPI_WriteComm(0xAC);SPI_WriteData(0x45);
	SPI_WriteComm(0xA7);SPI_WriteData(0x47);
	SPI_WriteComm(0xA0);SPI_WriteData(0xCC);
	SPI_WriteComm(0x86);SPI_WriteData(0x99);SPI_WriteData(0xA3);SPI_WriteData(0xA3);SPI_WriteData(0x31);
	SPI_WriteComm(0xFA);SPI_WriteData(0x08);SPI_WriteData(0x08);SPI_WriteData(0x00);SPI_WriteData(0x04);
	SPI_WriteComm(0xA3);SPI_WriteData(0x6E);
	SPI_WriteComm(0xFD);SPI_WriteData(0x28);SPI_WriteData(0x3C);SPI_WriteData(0x00);
	SPI_WriteComm(0x9A);SPI_WriteData(0x4a);
	SPI_WriteComm(0x9B);SPI_WriteData(0x22);
	SPI_WriteComm(0x82);SPI_WriteData(0x00);SPI_WriteData(0x00);
	SPI_WriteComm(0x80);SPI_WriteData(0x54);

  
	SPI_WriteComm(0xB0);SPI_WriteData(0x00);SPI_WriteData(0x25); SPI_WriteData(0x20);SPI_WriteData(0x15);SPI_WriteData(0x10); 
 	SPI_WriteComm(0xB1);SPI_WriteData(0x12); 



	SPI_WriteComm(0x7A);SPI_WriteData(0x13);SPI_WriteData(0x1A);
	SPI_WriteComm(0x7B);SPI_WriteData(0x13);SPI_WriteData(0x1A);
	SPI_WriteComm(0x6D);SPI_WriteData(0x1E);SPI_WriteData(0x1E);SPI_WriteData(0x0F);SPI_WriteData(0x0D);SPI_WriteData(0x0B);SPI_WriteData(0x10);SPI_WriteData(0x1E);SPI_WriteData(0x0A);SPI_WriteData(0x02);SPI_WriteData(0x08);SPI_WriteData(0x04);SPI_WriteData(0x03);SPI_WriteData(0x00);SPI_WriteData(0x1F);SPI_WriteData(0x1E);SPI_WriteData(0x1E);SPI_WriteData(0x1E);SPI_WriteData(0x1E);SPI_WriteData(0x1F);SPI_WriteData(0x00);SPI_WriteData(0x03);SPI_WriteData(0x04);SPI_WriteData(0x07);SPI_WriteData(0x01);SPI_WriteData(0x0A);SPI_WriteData(0x1E);SPI_WriteData(0x11);SPI_WriteData(0x0C);SPI_WriteData(0x0E);SPI_WriteData(0x12);SPI_WriteData(0x1E);SPI_WriteData(0x1E);
	SPI_WriteComm(0x61);SPI_WriteData(0xB8);SPI_WriteData(0x17);SPI_WriteData(0x2A);SPI_WriteData(0x7A);SPI_WriteData(0x31);SPI_WriteData(0xEA);SPI_WriteData(0x2A);SPI_WriteData(0x7A);
	SPI_WriteComm(0x62);SPI_WriteData(0x31);SPI_WriteData(0xEA);SPI_WriteData(0x2A);SPI_WriteData(0x7A);SPI_WriteData(0xB8);SPI_WriteData(0x17);SPI_WriteData(0x2A);SPI_WriteData(0x7A);
	SPI_WriteComm(0x60);SPI_WriteData(0x38);SPI_WriteData(0x0C);SPI_WriteData(0x2A);SPI_WriteData(0x7A);SPI_WriteData(0x38);SPI_WriteData(0x0B);SPI_WriteData(0x2A);SPI_WriteData(0x7A);
	SPI_WriteComm(0x63);SPI_WriteData(0x38);SPI_WriteData(0x0A);SPI_WriteData(0x2A);SPI_WriteData(0x7A);SPI_WriteData(0x38);SPI_WriteData(0x09);SPI_WriteData(0x2A);SPI_WriteData(0x7A);

	SPI_WriteComm(0x65);SPI_WriteData(0x38);SPI_WriteData(0x07);SPI_WriteData(0x01);SPI_WriteData(0xDE);SPI_WriteData(0x03);SPI_WriteData(0x03);SPI_WriteData(0x38);SPI_WriteData(0x08);SPI_WriteData(0x01);SPI_WriteData(0xDD);SPI_WriteData(0x03);SPI_WriteData(0x03);SPI_WriteData(0x2A);SPI_WriteData(0x7A);SPI_WriteData(0x2A);SPI_WriteData(0x7A);
	SPI_WriteComm(0x64);SPI_WriteData(0x38);SPI_WriteData(0x04);SPI_WriteData(0x01);SPI_WriteData(0xE7);SPI_WriteData(0x03);SPI_WriteData(0x03);SPI_WriteData(0x38);SPI_WriteData(0x06);SPI_WriteData(0x01);SPI_WriteData(0xDF);SPI_WriteData(0x03);SPI_WriteData(0x03);SPI_WriteData(0x2A);SPI_WriteData(0x7A);SPI_WriteData(0x2A);SPI_WriteData(0x7A);
	SPI_WriteComm(0x66);SPI_WriteData(0x38);SPI_WriteData(0x01);SPI_WriteData(0x01);SPI_WriteData(0xEA);SPI_WriteData(0x03);SPI_WriteData(0x03);SPI_WriteData(0x38);SPI_WriteData(0x02);SPI_WriteData(0x01);SPI_WriteData(0xE9);SPI_WriteData(0x03);SPI_WriteData(0x03);SPI_WriteData(0x2A);SPI_WriteData(0x7A);SPI_WriteData(0x2A);SPI_WriteData(0x7A);
	SPI_WriteComm(0x67);SPI_WriteData(0x88);SPI_WriteData(0x0C);SPI_WriteData(0x01);SPI_WriteData(0xEA);SPI_WriteData(0x03);SPI_WriteData(0x03);SPI_WriteData(0x88);SPI_WriteData(0x19);SPI_WriteData(0x00);SPI_WriteData(0x00);SPI_WriteData(0x03);SPI_WriteData(0x03);SPI_WriteData(0x7A);SPI_WriteData(0x7A);SPI_WriteData(0x7A);SPI_WriteData(0x7A);
	SPI_WriteComm(0x69);SPI_WriteData(0x14);SPI_WriteData(0x22);SPI_WriteData(0x14);SPI_WriteData(0x22);SPI_WriteData(0x44);SPI_WriteData(0x22);SPI_WriteData(0x08);
	SPI_WriteComm(0x6B);SPI_WriteData(0x07);
	SPI_WriteComm(0xD1);SPI_WriteData(0x00);SPI_WriteData(0x00);SPI_WriteData(0x00);SPI_WriteData(0x21);SPI_WriteData(0x00);SPI_WriteData(0x5A);SPI_WriteData(0x00);SPI_WriteData(0x7D);SPI_WriteData(0x00);SPI_WriteData(0x9A);SPI_WriteData(0x00);SPI_WriteData(0xCA);SPI_WriteData(0x00);SPI_WriteData(0xED);SPI_WriteData(0x01);SPI_WriteData(0x2A);SPI_WriteData(0x01);SPI_WriteData(0x59);SPI_WriteData(0x01);SPI_WriteData(0xA7);SPI_WriteData(0x01);SPI_WriteData(0xE4);SPI_WriteData(0x02);SPI_WriteData(0x43);SPI_WriteData(0x02);SPI_WriteData(0x8F);SPI_WriteData(0x02);SPI_WriteData(0x90);SPI_WriteData(0x02);SPI_WriteData(0xD1);SPI_WriteData(0x03);SPI_WriteData(0x1A);SPI_WriteData(0x03);SPI_WriteData(0x46);SPI_WriteData(0x03);SPI_WriteData(0x86);SPI_WriteData(0x03);SPI_WriteData(0xA8);SPI_WriteData(0x03);SPI_WriteData(0xBB);SPI_WriteData(0x03);SPI_WriteData(0xCC);SPI_WriteData(0x03);SPI_WriteData(0xDC);SPI_WriteData(0x03);SPI_WriteData(0xE9);SPI_WriteData(0x03);SPI_WriteData(0xF6);SPI_WriteData(0x03);SPI_WriteData(0xFA);SPI_WriteData(0x03);SPI_WriteData(0xFF);
	SPI_WriteComm(0xD2);SPI_WriteData(0x00);SPI_WriteData(0x00);SPI_WriteData(0x00);SPI_WriteData(0x21);SPI_WriteData(0x00);SPI_WriteData(0x5A);SPI_WriteData(0x00);SPI_WriteData(0x7D);SPI_WriteData(0x00);SPI_WriteData(0x9A);SPI_WriteData(0x00);SPI_WriteData(0xCA);SPI_WriteData(0x00);SPI_WriteData(0xED);SPI_WriteData(0x01);SPI_WriteData(0x2A);SPI_WriteData(0x01);SPI_WriteData(0x59);SPI_WriteData(0x01);SPI_WriteData(0xA7);SPI_WriteData(0x01);SPI_WriteData(0xE4);SPI_WriteData(0x02);SPI_WriteData(0x43);SPI_WriteData(0x02);SPI_WriteData(0x8F);SPI_WriteData(0x02);SPI_WriteData(0x90);SPI_WriteData(0x02);SPI_WriteData(0xD1);SPI_WriteData(0x03);SPI_WriteData(0x1A);SPI_WriteData(0x03);SPI_WriteData(0x46);SPI_WriteData(0x03);SPI_WriteData(0x86);SPI_WriteData(0x03);SPI_WriteData(0xA8);SPI_WriteData(0x03);SPI_WriteData(0xBB);SPI_WriteData(0x03);SPI_WriteData(0xCC);SPI_WriteData(0x03);SPI_WriteData(0xDC);SPI_WriteData(0x03);SPI_WriteData(0xE9);SPI_WriteData(0x03);SPI_WriteData(0xF6);SPI_WriteData(0x03);SPI_WriteData(0xFA);SPI_WriteData(0x03);SPI_WriteData(0xFF);
	SPI_WriteComm(0xD3);SPI_WriteData(0x00);SPI_WriteData(0x00);SPI_WriteData(0x00);SPI_WriteData(0x21);SPI_WriteData(0x00);SPI_WriteData(0x5A);SPI_WriteData(0x00);SPI_WriteData(0x7D);SPI_WriteData(0x00);SPI_WriteData(0x9A);SPI_WriteData(0x00);SPI_WriteData(0xCA);SPI_WriteData(0x00);SPI_WriteData(0xED);SPI_WriteData(0x01);SPI_WriteData(0x2A);SPI_WriteData(0x01);SPI_WriteData(0x59);SPI_WriteData(0x01);SPI_WriteData(0xA7);SPI_WriteData(0x01);SPI_WriteData(0xE4);SPI_WriteData(0x02);SPI_WriteData(0x43);SPI_WriteData(0x02);SPI_WriteData(0x8F);SPI_WriteData(0x02);SPI_WriteData(0x90);SPI_WriteData(0x02);SPI_WriteData(0xD1);SPI_WriteData(0x03);SPI_WriteData(0x1A);SPI_WriteData(0x03);SPI_WriteData(0x46);SPI_WriteData(0x03);SPI_WriteData(0x86);SPI_WriteData(0x03);SPI_WriteData(0xA8);SPI_WriteData(0x03);SPI_WriteData(0xBB);SPI_WriteData(0x03);SPI_WriteData(0xCC);SPI_WriteData(0x03);SPI_WriteData(0xDC);SPI_WriteData(0x03);SPI_WriteData(0xE9);SPI_WriteData(0x03);SPI_WriteData(0xF6);SPI_WriteData(0x03);SPI_WriteData(0xFA);SPI_WriteData(0x03);SPI_WriteData(0xFF);
	SPI_WriteComm(0xD4);SPI_WriteData(0x00);SPI_WriteData(0x00);SPI_WriteData(0x00);SPI_WriteData(0x21);SPI_WriteData(0x00);SPI_WriteData(0x5A);SPI_WriteData(0x00);SPI_WriteData(0x7D);SPI_WriteData(0x00);SPI_WriteData(0x9A);SPI_WriteData(0x00);SPI_WriteData(0xCA);SPI_WriteData(0x00);SPI_WriteData(0xED);SPI_WriteData(0x01);SPI_WriteData(0x2A);SPI_WriteData(0x01);SPI_WriteData(0x59);SPI_WriteData(0x01);SPI_WriteData(0xA7);SPI_WriteData(0x01);SPI_WriteData(0xE4);SPI_WriteData(0x02);SPI_WriteData(0x43);SPI_WriteData(0x02);SPI_WriteData(0x8F);SPI_WriteData(0x02);SPI_WriteData(0x90);SPI_WriteData(0x02);SPI_WriteData(0xD1);SPI_WriteData(0x03);SPI_WriteData(0x1A);SPI_WriteData(0x03);SPI_WriteData(0x46);SPI_WriteData(0x03);SPI_WriteData(0x86);SPI_WriteData(0x03);SPI_WriteData(0xA8);SPI_WriteData(0x03);SPI_WriteData(0xBB);SPI_WriteData(0x03);SPI_WriteData(0xCC);SPI_WriteData(0x03);SPI_WriteData(0xDC);SPI_WriteData(0x03);SPI_WriteData(0xE9);SPI_WriteData(0x03);SPI_WriteData(0xF6);SPI_WriteData(0x03);SPI_WriteData(0xFA);SPI_WriteData(0x03);SPI_WriteData(0xFF);
	SPI_WriteComm(0xD5);SPI_WriteData(0x00);SPI_WriteData(0x00);SPI_WriteData(0x00);SPI_WriteData(0x21);SPI_WriteData(0x00);SPI_WriteData(0x5A);SPI_WriteData(0x00);SPI_WriteData(0x7D);SPI_WriteData(0x00);SPI_WriteData(0x9A);SPI_WriteData(0x00);SPI_WriteData(0xCA);SPI_WriteData(0x00);SPI_WriteData(0xED);SPI_WriteData(0x01);SPI_WriteData(0x2A);SPI_WriteData(0x01);SPI_WriteData(0x59);SPI_WriteData(0x01);SPI_WriteData(0xA7);SPI_WriteData(0x01);SPI_WriteData(0xE4);SPI_WriteData(0x02);SPI_WriteData(0x43);SPI_WriteData(0x02);SPI_WriteData(0x8F);SPI_WriteData(0x02);SPI_WriteData(0x90);SPI_WriteData(0x02);SPI_WriteData(0xD1);SPI_WriteData(0x03);SPI_WriteData(0x1A);SPI_WriteData(0x03);SPI_WriteData(0x46);SPI_WriteData(0x03);SPI_WriteData(0x86);SPI_WriteData(0x03);SPI_WriteData(0xA8);SPI_WriteData(0x03);SPI_WriteData(0xBB);SPI_WriteData(0x03);SPI_WriteData(0xCC);SPI_WriteData(0x03);SPI_WriteData(0xDC);SPI_WriteData(0x03);SPI_WriteData(0xE9);SPI_WriteData(0x03);SPI_WriteData(0xF6);SPI_WriteData(0x03);SPI_WriteData(0xFA);SPI_WriteData(0x03);SPI_WriteData(0xFF);
	SPI_WriteComm(0xD6);SPI_WriteData(0x00);SPI_WriteData(0x00);SPI_WriteData(0x00);SPI_WriteData(0x21);SPI_WriteData(0x00);SPI_WriteData(0x5A);SPI_WriteData(0x00);SPI_WriteData(0x7D);SPI_WriteData(0x00);SPI_WriteData(0x9A);SPI_WriteData(0x00);SPI_WriteData(0xCA);SPI_WriteData(0x00);SPI_WriteData(0xED);SPI_WriteData(0x01);SPI_WriteData(0x2A);SPI_WriteData(0x01);SPI_WriteData(0x59);SPI_WriteData(0x01);SPI_WriteData(0xA7);SPI_WriteData(0x01);SPI_WriteData(0xE4);SPI_WriteData(0x02);SPI_WriteData(0x43);SPI_WriteData(0x02);SPI_WriteData(0x8F);SPI_WriteData(0x02);SPI_WriteData(0x90);SPI_WriteData(0x02);SPI_WriteData(0xD1);SPI_WriteData(0x03);SPI_WriteData(0x1A);SPI_WriteData(0x03);SPI_WriteData(0x46);SPI_WriteData(0x03);SPI_WriteData(0x86);SPI_WriteData(0x03);SPI_WriteData(0xA8);SPI_WriteData(0x03);SPI_WriteData(0xBB);SPI_WriteData(0x03);SPI_WriteData(0xCC);SPI_WriteData(0x03);SPI_WriteData(0xDC);SPI_WriteData(0x03);SPI_WriteData(0xE9);SPI_WriteData(0x03);SPI_WriteData(0xF6);SPI_WriteData(0x03);SPI_WriteData(0xFA);SPI_WriteData(0x03);SPI_WriteData(0xFF);
	SPI_WriteComm(0x3A);SPI_WriteData(0x60);
	SPI_WriteComm(0x11);
	delay_ms(120);
	SPI_WriteComm(0x29);

}


